DelegatingInputStream (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: DelegatingInputStream

Package org.apache.cxf.attachment

# Class DelegatingInputStream

java.lang.Object
java.io.InputStream
org.apache.cxf.attachment.DelegatingInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Transferable`

public class DelegatingInputStream extends InputStream implements Transferable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `InputStream`
  `getInputStream()`
  `boolean`
  `isClosed()`
  `void`
  `mark(int arg0)`
  `boolean`
  `markSupported()`
  `int`
  `read()`
  `int`
  `read(byte[] bytes)`
  `int`
  `read(byte[] bytes, int arg1, int arg2)`
  `void`
  `reset()`
  `void`
  `setClosed(boolean closed)`
  `void`
  `setInputStream(InputStream inputStream)`
  `long`
  `skip(long n)`
  `void`
  `transferTo(File destinationFile)`

  ### Methods inherited from class java.io.InputStream

  `nullInputStream, readAllBytes, readNBytes, readNBytes, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException`

  - ### transferTo

    public void transferTo(File destinationFile) throws IOException
    Specified by:
      `transferTo` in interface `Transferable`
    Throws:
      `IOException`

  - ### isClosed

    public boolean isClosed()

  - ### setClosed

    public void setClosed(boolean closed)

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### available

    public int available() throws IOException
    Overrides:
      `available` in class `InputStream`
    Throws:
      `IOException`

  - ### mark

    public void mark(int arg0)
    Overrides:
      `mark` in class `InputStream`

  - ### markSupported

    public boolean markSupported()
    Overrides:
      `markSupported` in class `InputStream`

  - ### read

    public int read(byte[] bytes, int arg1, int arg2) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] bytes) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### reset

    public void reset() throws IOException
    Overrides:
      `reset` in class `InputStream`
    Throws:
      `IOException`

  - ### skip

    public long skip(long n) throws IOException
    Overrides:
      `skip` in class `InputStream`
    Throws:
      `IOException`

  - ### setInputStream

    public void setInputStream(InputStream inputStream)

  - ### getInputStream

    public InputStream getInputStream()